Ticket #34977

「2回押すとスペルを読み上げる」機能の日本語対応

Open Date: 2015-03-10 18:16 Last Update: 2015-08-20 13:08

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: コア機能 MileStone: 2015.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA には「2回押すとスペルを読み上げる」のような仕様の操作がいくつかあり、 日本語環境ではいわゆる「読み方モード」の読み方になっています。 説明モード的な読み方をさせた方がよいかどうか、ご意見をお聞かせください。

関係する操作(カッコ内はラップトップ用キー):

現在のフォーカスの通知 NVDA+Tab フォーカスのある現在のオブジェクトを通知します。 2回押すとスペルを読み上げます。

タイトルの通知 NVDA+T 現在アクティブなウィンドウのタイトルを通知します。 2回押すとスペルを読み上げます。 3回押すとクリップボードにコピーします。

現在行の読み上げ NVDA+上矢印(NVDA+L) 現在キャレットのある行を読み上げます。 2回押すと現在行のスペルを読み上げます。

現在のオブジェクトの通知 NVDA+テンキー5(NVDA+Shift+O) 現在のナビゲーターオブジェクトを通知します。 2回押すとスペルを通知し、 3回押すとオブジェクトの名前と値をクリップボードにコピーします。

レビュー内の現在行の通知 テンキー8(NVDA+Shift+ピリオド) レビューカーソルのある現在行を通知します。 2回押すと行のスペルを通知します。 3回押すと文字の説明を用いて行のスペルを通知します。

レビュー内の現在の単語の通知 テンキー5(NVDA+Ctrl+ピリオド) テキスト内のレビューカーソルがある位置の単語を通知します。 2回押すと単語のスペルを通知します。 3回押すと、文字の説明を用いて単語のスペルを通知します。

レビュー内の現在の文字の通知 テンキー2(NVDA+ピリオド) 2015.1jp ですこし仕様変更

Attachment File List

No attachments

Ticket History (3/6 Histories)

2015-03-10 18:16 Updated by: nishimoto
  • New Ticket "「2回押すとスペルを読み上げる」機能の日本語対応" created
2015-03-14 22:08 Updated by: nishimoto
Comment

チケット #34973 の例だと、例えば JTalk は

(火)
(日)

のどちらも「ヒ」と読み上げます。 現在行の読み上げ NVDA+上矢印(NVDA+L)を2回押しても、「カッコ ヒ カッコトジ」です。

説明モードと読み方モードの切り替えが反映されたほうがよいように思います。

2015-08-13 17:23 Updated by: nishimoto
Comment

以下の実装を検討中です。

レビュー内の現在の文字の通知 テンキー2(NVDA+ピリオド)
4回押すと「説明モード」「読み方モード」を切り替えます。

現在のフォーカスの通知 NVDA+Tab
2回押すと(フォーカスのある現在のオブジェクトを)1文字ずつ読み上げます。
この読み方は文字説明モード(説明モードと読み方モード)で変更できます。

タイトルの通知 NVDA+T
2回押すと(現在アクティブなウィンドウのタイトルを)1文字ずつ読み上げます。
この読み方は文字説明モード(説明モードと読み方モード)で変更できます。

現在行の読み上げ NVDA+上矢印(NVDA+L)
2回押すと(現在キャレットのある現在行を)1文字ずつ読み上げます。
この読み方は文字説明モード(説明モードと読み方モード)で変更できます。

現在のオブジェクトの通知 NVDA+テンキー5(NVDA+Shift+O) 
2回押すと(現在のナビゲーターオブジェクトを)1文字ずつ読み上げます。
この読み方は文字説明モード(説明モードと読み方モード)で変更できます。

ステータスバーの通知 NVDA+End(NVDA+Shift+End)
2回押すと(ステータスバー情報を)1文字ずつ読み上げます。
この読み方は文字説明モード(説明モードと読み方モード)で変更できます。


以下は文字説明モードに依存しない処理:

レビュー内の現在行の通知 テンキー8(NVDA+Shift+ピリオド)
レビューカーソルのある現在行を報告します。
2回押すと行のスペルを通知します。
3回押すと「説明モード」の読み方で行を1文字ずつ読み上げます。

レビュー内の現在の単語の通知 テンキー5(NVDA+Ctrl+ピリオド)
テキスト内のレビューカーソルがある位置の単語を報告します。
2回押すと単語のスペルを報告します。
3回押すと「説明モード」の読み方で単語を1文字ずつ読み上げます。
To git@github.com:nvdajp/nvdajp.git
 * [new branch]      ti34977 -> ti34977
2015-08-13 19:56 Updated by: nishimoto
Comment

仕様の変更にあわせて 「NVDA日本語版の説明」 の更新を検討中。

「文字説明モード」といままで呼んでいたものを「文字報告モード」と呼ぶことにしました。 この言葉そのものはドキュメントにしか出てきませんが。。

このあたりの仕様を変更すると「NVDA日本語版ガイドブック」の更新が必要になるかも。。

+ 移動コマンド +

++ 文字報告モード ++

NVDA日本語版は、左矢印キーや右矢印キーによる文字単位の移動、文字単位のレビューなどで、文字の説明や例を使うかどうかを切り替える「文字報告モード」を導入しています。

「レビューカーソルの現在の文字を報告」(デスクトップ配列:テンキー2 ラップトップ配列:NVDA+ピリオド)を4回押すと、「説明モード」「読みかたモード」の切替ができます。NVDA日本語版を起動した直後は「説明モード」です。

例えば「日」という文字は、説明モードでは「ニチヨウビノニチ」、読みかたモードでは「ヒ」と報告されます。

%kc:beginInclude
|| 名称 | デスクトップ用キー | ラップトップ用キー | タッチ | 説明 |
| レビュー内の前の文字に移動 | テンキー1 | NVDA+左矢印 | 左フリック(テキストモード) | レビューカーソルをテキスト内の現在行の前の文字に移動し、その文字を現在の文字報告モードで読み上げます。 |
| レビュー内の現在の文字を報告 | テンキー2 | NVDA+ピリオド | なし | テキスト内の現在行のレビューカーソル位置の文字を現在の文字報告モードで読み上げます。2回押すとその文字の種類(ひらがな、カタカナ、半角、全角、大文字の区別)と、文字の説明や例、日本語設定で有効にした場合はカナ文字とアルファベットのフォネティック読みも報告します。3回押すと10進数と16進数による文字コードを報告します。4回押すと 「説明モード」「読みかたモード」が切り替わります。 |
| レビュー内の次の文字に移動 | テンキー3 | NVDA+右矢印 | 右フリック(テキストモード) | レビューカーソルをテキスト内の現在行の次の文字に移動し、その文字を現在の文字報告モードで読み上げます。 |
| レビュー内の現在の単語の報告 | テンキー5 | NVDA+Ctrl+ピリオド | なし | テキスト内のレビューカーソルがある位置の単語を報告します。2回押すと「読みかたモード」と同じように1文字ずつ報告します。3回押すと「説明モード」と同じように1文字ずつ報告します。 |
| レビュー内の現在行の報告 | テンキー8 | NVDA+Shift+ピリオド | なし | レビューカーソルのある現在行を報告します。2回押すと「読みかたモード」と同じように1文字ずつ報告します。3回押すと「説明モード」と同じように1文字ずつ報告します。 |
| 現在のフォーカスの報告 | NVDA+Tab | NVDA+Tab | なし | フォーカスのある現在のオブジェクトを報告します。2回押すと現在の文字報告モードで1文字ずつ読み上げます。 |
| タイトルの報告 | NVDA+T | NVDA+T | なし | 現在アクティブなウィンドウのタイトルを報告します。2回押すと現在の文字報告モードで1文字ずつ読み上げます。3回押すとクリップボードにコピーします。 |
| ステータスバーの報告 | NVDA+End | NVDA+Shift+End | なし | みつかった場合にステータスバー情報を報告します。また、ナビゲーターオブジェクトをその場所に移動します。2回押すと現在の文字報告モードで1文字ずつ読み上げます。 |
| 現在行の読み上げ | NVDA+上矢印 | NVDA+L | なし | 現在キャレットのある行を読み上げます。2回押すと現在の文字報告モードで1文字ずつ読み上げます。 |
| 現在のオブジェクトの報告 | NVDA+テンキー5 | NVDA+Shift+O | なし | 現在のナビゲーターオブジェクトを報告します。2回押すと現在の文字報告モードで1文字ずつ読み上げます。3回押すとオブジェクトの名前と値をクリップボードにコピーします。 |
%kc:endInclude


日本語環境では、NVDA の単語ごとの移動や報告は、アプリによって挙動が異なります。単語単位の操作を行っても文字単位でしか動作しない場合もあります。


2015-08-17 09:32 Updated by: nishimoto
  • Milestone Update from (None) to 2015.3jp (closed)
  • Owner Update from (None) to nishimoto
  • Resolution Update from None to Fixed
  • Component Update from (None) to コア機能
2015-08-20 13:08 Updated by: nishimoto
  • Ticket Close date is changed to 2015-08-20 13:08
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login